## theoradec theoradec — decode raw theora streams to raw YUV video |

## Types and Values

struct | GstTheoraDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstVideoDecoder
                        ╰── GstTheoraDec

## Description

## Synopsis

### Element Information

plugin | theora
author | Benjamin Otte <otte@gnome.org>, Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Video

### Element Pads

name | sink
direction | sink
presence | always
details | video/x-theora

name | src
direction | source
presence | always
details | video/x-raw, format=(string){ I420, Y42B, Y444 }, framerate=(fraction)[ 0/1, 2147483647/1 ], width=(int)[ 1, 2147483647 ], height=(int)[ 1, 2147483647 ]

## Functions

## Types and Values

### struct GstTheoraDec

    struct GstTheoraDec;